[Stable Update] 2017-01-17 - Python, Xorg, Ruby, Gcc, Inkscape

update
stable

#144

Hi, after yesterday’s update, my sistem is completely broken, no interface, no network, no nothing. From a tty I did a dmesg, I think the problem is in the lines:
r8168: disagrees about version of symbol module_layout and
nvidia: disagrees about version of symbol module_layout

http://pastebin.com/WWVQJHwQ

I’m posting this from Windos, which is somewhat embarrasing, I didn’t expect such a failure in Manjaro.
Thanks in advance.


#145

You need to do the update first! menulibre was definitely rebuilt for python3.6
You need menulibre 2.1.3-2


#146

I have a question: xorg 1.19 + kernel 4.9 should provide amdgpu support for Southern Island AMD cards (GCN 1.0).

Have anyone tested it yet? I have a R7 250E (GCN 1.0, chip set Verde Pro) and I wonder if I can get performance gains with the amdgpu driver if it’s functional.


#147

I received the “could not start kdeinit5, check your installation” while trying to start my Plasma session - could someone kindly advise on how I can fix the issue?


#148

Can you please check if you have the right versions of extramodules installed?
With linux44-4.4.41 you need r8168-8.040.00-32 and linux44-nvidia-1%3A375.26-2


#149

I did the update first, and menulibre is not shown in the list of packages to be updated. I checked the installed version:

[dmn@Zotac ~]$ pacman -Q menulibre
menulibre 1:2.1.0-1

then

[dmn@Zotac ~]$ sudo pacman -Su menulibre
[sudo] password for dmn: 
warning: downgrading package menulibre (1:2.1.0-1 => 2.1.3-2)

So, I should do this downgrade?


[SOLVED] Unable to Edit Whisker Menu Applications
#150

yes. it’s not really a downgrade. the 1: in 1:2.1.0-1 force pacman to treat it as newer version.
it was used because at a time the versioning changed.


#151

Alright. Will do the downgrade (which is not really a downgrade).
Thanks.


#152

What a quick response! :grin:
My installed modules are linux44-r8158 8.040.00-31 and linux44-nvidia 1:375.26-1.
Do I have to download and install them manually?


#153

I was able to update my 6 machines. I only issues on one. It didn’t update a couple of packages because one of the mirrors was not available. I haven’t taken the time to go back check what I need to do to resolve but it did finish updating and it rebooted fine. Other than it was smooth sailing


#154

Somehow your update seems not to have completed. Those two driver updates are part of the update-pack, so might be you missed other stuff aswell …
From the tty just do sudo pacman -Syu again and pay attention if there’s anything of interest in the output.


#155

Oberon,
I think you spotted it, I’m not totally there, but that advice clearly got me somewhere. I’m not sure how to check the version on extramodules (the version file for them had 4.4.41.1 in it), but I was on linux44-nvidia-1:375.26-1. pacman wasn’t picking anything up though so I switched mirrors and ran a pacman -Syyu which did pick up a ton of stuff to update. Hopefully when that finishes I will be back up and running :).

Thanks!

Edit: I can now confirm that switching mirrors and running pacman -Syyu completely solved my issues.


#156

If it matters the mirror I did not get the right update list from was Server = http://mirror.jmu.edu/manjaro/stable/$repo/$arch

I am updating from Server = http://mirror.solarvps.com/manjaro/stable/$repo/$arch now.


#157

Sorry but that does not work, as I have no internet access (one of the outdated modules is the Realtek one).
Can I perform a downgrade and try it again?


#158

you have internet right now… no? you can download the package from a mirror… copy them. and install them with
sudo pacman -U <packagefle>


#159

I got around this with pacman -Syu --force

I then ran through the AUR packages with no problem, but had an error upgrading linux318:
ERROR: module not found: `dm_cache_smq’

==> Starting build: 3.18.46-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [plymouth]
  -> Running build hook: [lvm2]
==> ERROR: module not found: `dm_cache_smq'
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-3.18-x86_64.img
==> WARNING: errors were encountered during the build. The image may not be complete.
==> Building image from preset: /etc/mkinitcpio.d/linux318.preset: 'fallback'
  -> -k /boot/vmlinuz-3.18-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-3.18-x86_64-fallback.img -S autodetect
==> Starting build: 3.18.46-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [plymouth]
  -> Running build hook: [lvm2]
==> ERROR: module not found: `dm_cache_smq'
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-3.18-x86_64-fallback.img
==> WARNING: errors were encountered during the build. The image may not be complete.
error: command failed to execute correctly
(3/3) Updating Grub-Bootmenu
Generating grub configuration file ...
Found background: /usr/share/grub/background.png
Found Intel Microcode image
Found linux image: /boot/vmlinuz-3.18-x86_64
Found initrd image: /boot/initramfs-3.18-x86_64.img
Found initrd fallback image: /boot/initramfs-3.18-x86_64-fallback.img
Found memtest86+ image: /boot/memtest86+/memtest.bin
done

#160

Do you have an alternative kernel installed that you can boot with and complete the update like that?
Else, like @scachemaille says. You can download linux44-r8168 manually and copy it to a place on your disk from where you can install it locally.
Hopefully the network driver will be enough to get you going again to perform the rest of the update normally…
Try from here


#161

Hi
Everything seems fine except some themes and icons doesn’t work anymore!


#162

Good point! I’m giving it a try. This is really tedious because I have to restart to windows each time I try something :disappointed:
Than you!


#163

join us here… AMDGPU improvements for Manjaro OUTDATED ^^ and yes it should work for every GCN generation.